exports.post = function(args, callback){
  Ti.API.info('entramos a post ' + JSON.stringify(args));
  var url= args.url;
  var httpObj = Ti.Network.createHTTPClient({
    onload : function(e) {
      if(this.status===200){
         Ti.API.info("Received text: " + this.responseText);
        callback(JSON.parse(this.responseText));
      }
      else{
        callback({result: false, msj:this.status });
      }
    },
    onerror : function(e) {
      callback({result: false, msj:e.error });
    },
    onsendstream: function(e) {
   // function called as data is uploaded
     Ti.API.info('onsendstream called, readyState = ' + this.readyState);
    },
    onreadystatechange: function(e) {
  		switch(this.readyState) {
  			case 0:
  				// after HTTPClient declared, prior to open()
  				// though Ti won't actually report on this readyState
  				Ti.API.info('case 0, readyState = ' + this.readyState);
  			break;
  			case 1:
  				// open() has been called, now is the time to set headers
  				Ti.API.info('case 1, readyState = ' + this.readyState);
  			break;
  			case 2:
  				// headers received, xhr.status should be available now
  				Ti.API.info('case 2, readyState = ' + this.readyState);
  			break;
  			case 3:
  				// data is being received, onsendstream/ondatastream being called now
  				Ti.API.info('case 3, readyState = ' + this.readyState);
  			break;
  			case 4:
  				// done, onload or onerror should be called now
  				Ti.API.info('case 4, readyState = ' + this.readyState);
  			break;
  		}
    },
    timeout : 17000  // in milliseconds
  });
  // Prepare the connection.
  httpObj.open("POST", url);
  httpObj.setRequestHeader('Content-Type', 'application/json; charset=utf8');
  httpObj.send(JSON.stringify({
    method:args.metodo,
    params:args.params,
    id:'bebimex'
  })
 );

}
